varying vec3 vertex;
varying vec2 text_coord;

uniform sampler2D f_text;
uniform sampler2D distance_map_text;



void main()
{
	vec4 res = texture2D(f_text,text_coord).xyzw;
	vec4 dist = texture2D(distance_map_text,text_coord).xyzw;
	gl_FragColor = vec4( mix(dist.xyz, res.xyz, res.w) , 1.0);
	
}






