uniform sampler2D txt;
uniform float max_level, min_level;

void main()
{
	float val = texture2D(txt, gl_TexCoord[0]).x;
	vec3 color = vec3(clamp((val - min_level)/(max_level-min_level),0.0,1.0));
	gl_FragColor = vec4(color,1.0);
}
